2017-08-21 07:19 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002443OpenFOAMPatchpublic2017-01-30 16:46
ReporterJuho 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002443: ThermalPhaseChangePhaseSystem: Improved robustness
DescriptionI've attached a modified ThermalPhaseChangePhaseSystem.C that based on initial testing significantly improves robustness of reactingTwoPhaseEulerFoam in thermal phase change simulations by elimination of possible interfacial temperature (Tf) calculation related inconsistencies:

1. Interfacial phase change mass flux relaxation is applied after the Tf calculation. This eliminates non-physical interfacial temperatures when iDmdt changes rapidly despite the applied relaxation.

2. Consistent upwinding of the latent heat between the iDmdt and Tf calculations. If the sign of the iDmdt changed in the previous implementation it could lead to an inconsistency between the iDmdt and Tf calculation and cause instability.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007694

henry (manager)

Thanks Juho

Resolved by commit 0d260489a1f1c49b014e0eec3b18ad858c4ab349
+Notes

-Issue History
Date Modified Username Field Change
2017-01-27 13:36 Juho New Issue
2017-01-27 13:36 Juho File Added: ThermalPhaseChangePhaseSystem.C
2017-01-30 16:46 henry Assigned To => henry
2017-01-30 16:46 henry Status new => resolved
2017-01-30 16:46 henry Resolution open => fixed
2017-01-30 16:46 henry Fixed in Version => dev
2017-01-30 16:46 henry Note Added: 0007694
+Issue History